/* height */
/* ------------------------------ */

.h-auto {
    height: auto !important
}

.h-none,
.h-unset {
    height: unset !important
}

/* height with rem */

.h-0 {
    height: 0 !important
}

.h-1 {
    height: .25rem !important
}

.h-2 {
    height: .5rem !important
}

.h-3 {
    height: .75rem !important
}

.h-4 {
    height: 1rem !important
}

.h-5 {
    height: 1.5rem !important
}

.h-6 {
    height: 2rem !important
}

.h-7 {
    height: 2.5rem !important
}

.h-8 {
    height: 3rem !important
}

.h-9 {
    height: 3.5rem !important
}

/* height with percent */

.h-10 {
    height: 10% !important
}

.h-15 {
    height: 15% !important
}

.h-20 {
    height: 20% !important
}

.h-25 {
    height: 25% !important
}

.h-30 {
    height: 30% !important
}

.h-35 {
    height: 35% !important
}

.h-40 {
    height: 40% !important
}

.h-45 {
    height: 45% !important
}

.h-50 {
    height: 50% !important
}

.h-55 {
    height: 55% !important
}

.h-60 {
    height: 60% !important
}

.h-65 {
    height: 65% !important
}

.h-70 {
    height: 70% !important
}

.h-75 {
    height: 75% !important
}

.h-80 {
    height: 80% !important
}

.h-85 {
    height: 85% !important
}

.h-90 {
    height: 90% !important
}

.h-95 {
    height: 95% !important
}

.h-100 {
    height: 100% !important
}

/* height with vh */

.h-25vh {
    height: 25vh !important
}

.h-50vh {
    height: 50vh !important
}

.h-75vh {
    height: 75vh !important
}

.h-100vh {
    height: 100vh !important
}

/* height with pixel */

.h-1px {
    height: 1px !important
}

.h-2px {
    height: 2px !important
}

.h-3px {
    height: 3px !important
}

.h-4px {
    height: 4px !important
}

.h-5px {
    height: 5px !important
}

.h-10px {
    height: 10px !important
}

.h-15px {
    height: 15px !important
}

.h-20px {
    height: 20px !important
}

.h-25px {
    height: 25px !important
}

.h-30px {
    height: 30px !important
}

.h-35px {
    height: 35px !important
}

.h-40px {
    height: 40px !important
}

.h-45px {
    height: 45px !important
}

.h-50px {
    height: 50px !important
}

.h-55px {
    height: 55px !important
}

.h-60px {
    height: 60px !important
}

.h-65px {
    height: 65px !important
}

.h-70px {
    height: 70px !important
}

.h-75px {
    height: 75px !important
}

.h-80px {
    height: 80px !important
}

.h-85px {
    height: 85px !important
}

.h-90px {
    height: 90px !important
}

.h-95px {
    height: 95px !important
}

.h-100px {
    height: 100px !important
}

.h-110px {
    height: 110px !important
}

.h-120px {
    height: 120px !important
}

.h-130px {
    height: 130px !important
}

.h-140px {
    height: 140px !important
}

.h-150px {
    height: 150px !important
}

.h-200px {
    height: 200px !important
}

.h-250px {
    height: 250px !important
}

.h-300px {
    height: 300px !important
}

.h-350px {
    height: 350px !important
}

.h-400px {
    height: 400px !important
}

.h-450px {
    height: 450px !important
}

.h-500px {
    height: 500px !important
}

.h-550px {
    height: 550px !important
}

.h-600px {
    height: 600px !important
}

.h-650px {
    height: 650px !important
}

.h-700px {
    height: 700px !important
}

.h-750px {
    height: 750px !important
}

.h-800px {
    height: 800px !important
}

.h-850px {
    height: 850px !important
}

.h-900px {
    height: 900px !important
}

.h-950px {
    height: 950px !important
}

.h-1000px {
    height: 1000px !important
}

/* min-height */

.min-h-50px {
    min-height: 50px !important
}

.min-h-60px {
    min-height: 60px !important
}

.min-h-70px {
    min-height: 70px !important
}

.min-h-80px {
    min-height: 80px !important
}

.min-h-90px {
    min-height: 90px !important
}

.min-h-100px {
    min-height: 100px !important
}

.min-h-200px {
    min-height: 200px !important
}

.min-h-250px {
    min-height: 250px !important
}

.min-h-300px {
    min-height: 300px !important
}

.min-h-350px {
    min-height: 350px !important
}

.min-h-400px {
    min-height: 400px !important
}

.min-h-450px {
    min-height: 450px !important
}

.min-h-500px {
    min-height: 500px !important
}

.min-h-550px {
    min-height: 550px !important
}

.min-h-600px {
    min-height: 600px !important
}

.min-h-650px {
    min-height: 650px !important
}

.min-h-700px {
    min-height: 700px !important
}

.min-h-750px {
    min-height: 750px !important
}

.min-h-800px {
    min-height: 800px !important
}

.min-h-850px {
    min-height: 850px !important
}

.min-h-900px {
    min-height: 900px !important
}

.min-h-950px {
    min-height: 950px !important
}

.min-h-1000px {
    min-height: 1000px !important
}

.min-h-100vh {
    min-height: 100vh;
}

/* max-height */

.max-h-100px {
    height: 100%;
    max-height: 100px !important
}

.max-h-150px {
    height: 100%;
    max-height: 150px !important
}

.max-h-200px {
    height: 100%;
    max-height: 200px !important
}

.max-h-250px {
    height: 100%;
    max-height: 250px !important
}

.max-h-300px {
    height: 100%;
    max-height: 300px !important
}

.max-h-350px {
    height: 100%;
    max-height: 350px !important
}

.max-h-400px {
    height: 100%;
    max-height: 400px !important
}

.max-h-450px {
    height: 100%;
    max-height: 450px !important
}

.max-h-500px {
    height: 100%;
    max-height: 500px !important
}

.max-h-550px {
    height: 100%;
    max-height: 550px !important
}

.max-h-600px {
    height: 100%;
    max-height: 600px !important
}

.max-h-650px {
    height: 100%;
    max-height: 650px !important
}

.max-h-700px {
    height: 100%;
    max-height: 700px !important
}

.max-h-750px {
    height: 100%;
    max-height: 750px !important
}

.max-h-800px {
    height: 100%;
    max-height: 800px !important
}

.max-h-850px {
    height: 100%;
    max-height: 850px !important
}

.max-h-900px {
    height: 100%;
    max-height: 900px !important
}

.max-h-950px {
    height: 100%;
    max-height: 950px !important
}

.max-h-1000px {
    height: 100%;
    max-height: 1000px !important
}

.max-h-1050px {
    height: 100%;
    max-height: 1050px !important
}

.max-h-1100px {
    height: 100%;
    max-height: 1100px !important
}

.max-h-1150px {
    height: 100%;
    max-height: 1150px !important
}

.max-h-1200px {
    height: 100%;
    max-height: 1200px !important
}

.max-h-100vh {
    height: 100%;
    max-height: 100vh !important
}

/* ad-mrkang@naver.com */